% A Graphical User Interface for Constraint Logic Programming
% http://contraintes.inria.fr/~fages/CLPGUI
% Copyright (C) 2001,2002 INRIA Francois Fages
% License LGPL-2.1

% Version 2.1.3
% nogui.pl 
% Redefines the CLPGUI annotations as doing nothing
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%:- include(gprolog).
:- include(sicstus).

gui.
gui(_).
gui_varnames(_,_).
gui_varnames(_).
gui_addvarnames(_,_).
gui_varnames.
gui_show_sizes.
gui_show_intervals.
gui_show_values.
gui_show_no_domain.
gui_button(G):-G.
gui_bagof_buttons(Template,Goal):-
	bagof(Template,Goal,L),
	gui_button_list(L).
gui_button_list([]).
gui_button_list([G|L]):- G, gui_button_list(L).
gui_trace_search(G):-G.
gui_trace_call(G):-G.
gui_trace_search_predicate(_).
gui_trace_call_predicate(_).
gui_trace_labeling([]).
gui_trace_labeling([X|L]):-
	fd_labeling(X),
	gui_trace_labeling(L).
gui_show.
gui_show(_).
gui_interact.
gui_no_trace_backtracking.
gui_trace_backtracking.



